Bug 39693 - View Result in Table should use colors
View Result in Table should use colors
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
All other
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-05-31 16:29 UTC by glhez
Modified: 2007-05-13 14:57 UTC (History)
0 users



Attachments
Suggested patch (2.65 KB, patch)
2007-03-17 15:01 UTC, Alf Hogemark
Details | Diff
Suggested patch (6.87 KB, patch)
2007-03-17 15:09 UTC, Alf Hogemark
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description glhez 2006-05-31 16:29:02 UTC
When i use the View Result Tree listener, it use Red color to indicate errors.
That could be good that the View Result in Table use Red color too when there
are errors, instead of using a checkbox.
Comment 1 Alf Hogemark 2007-03-17 15:01:23 UTC
Created attachment 19729 [details]
Suggested patch

This suggested patch uses the very nice icon for success and failure which is
used in the "View Result Tree" visualizer. I think those two images makes it a
lot easier to see what is a failure.

I haven't changed it with this patch, but I was thinking that the column
heading name should be renamed from "Success?" to "Success" or I prefer
"Status".

I'll supply a bit larger patch in a few minutes, which also adds a column to
show the number of assertions that failed or passed, I think that can be
useful.
Comment 2 Alf Hogemark 2007-03-17 15:09:59 UTC
Created attachment 19730 [details]
Suggested patch

This patch adds uses image for success or failure, and also adds a column named
"Assertions", which shows how many assertions were ok, and how many failed.
If no assertions are present, no value is displayed in the column.

It is tempting to set the size of the different columns, since some are too
wide. But that will happen in another bugzilla entry, if it happens.
Comment 3 Sebb 2007-03-17 16:06:44 UTC
I've added the first patch.

I'm not convinced that it is useful to know how many Assertions passed/failed.

If it is decided to add this, then some more thought needs to be given to 
internationalisation; e.g. by using a message formatter string rather than 
building it up as proposed. Alternatively use separate columns for the counts.
Comment 4 Alf Hogemark 2007-03-17 23:39:24 UTC
It is OK that you only added the first patch.

I'm thinking about adding a "Configure" button, similar to the "Configure"
button for logging to file, to allow the user to specify which columns he wants.
And then we could add two columns, one for number of assertions that failed, and
for number of assertions that passed.
Comment 5 Alf Hogemark 2007-05-11 00:14:03 UTC
I think this bug should be closed as "fixed".

The display of the image icon for success / failure makes it visible enough
which rows failed and which ones passed.